<?php

namespace STM\Competition;

use \Exception;

/**
 * Test class for CompetitionStatus.
 * Generated by PHPUnit on 2012-02-06 at 19:18:36.
 * @group competitition
 */
class CompetitionStatusTest extends \PHPUnit_Framework_TestCase {

    private $valid;
    private $invalid;
    
    protected function setUp() {
        $this->valid = array(
            'H' => CompetitionStatus::HIDDEN,
            'V' => CompetitionStatus::VISIBLE,
            'P' => CompetitionStatus::PUBLICS,
        );
        $this->invalid = array('0', null, 'status', new Exception(), array());
    }
    
    public function testCompetitionStatusClass() {
        foreach ($this->valid as $key => $value) {
            parent::assertEquals($value, CompetitionStatus::getStatus($key));
            parent::assertEquals($key, CompetitionStatus::getStatusId($value));
        }
        foreach ($this->invalid as $bad_value) {
            parent::assertEquals('Invalid Status ID', CompetitionStatus::getStatus($bad_value));
            parent::assertEquals(false, CompetitionStatus::getStatusId($bad_value));
        }
    }

}

?>
